// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %                                                               %
// %   IsoWood Include File version 0.3                            %
// %                                                               %
// %   iw_ex_01.pov - Sample File                                  %
// %                                                               %
// %   originally written August 2000 for use with                 %
// %   IsoWood 0.1 and megapov 0.5                                 %
// %   by Christoph Hormann <chris_hormann@gmx.de>                 %
// %   newest version can be found at                              %
// %   http://www.tu-bs.de/~y0013390/iso_wood.html                 %
// %                                                               %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
// -w800 -h400 +a0.3
// -w320 -h160 +a0.3

#version 3.5;

camera {
  location    <8.0, -7.0, 2.6>
  direction   z
  sky         z
  up          z
  right       2*x
  look_at     <0.0, 0.0, -0.6>
  angle       37
}

light_source {
  <5.2, -5.9, 5.4>
  color rgb 1.0
}


#include "isowood3.inc"
#include "iw_textures.inc"

#declare IW_Quality = 2;
#declare IW_ISOmaxgrad = 2;

//-----------------------------------------------------------------
//-----------------------------------------------------------------
//-----------------------------------------------------------------


#declare P_Orangewood =
   pigment {
     P_IW_01
     color_map { M_Orangewood }
   }


#declare P_Teak =
   pigment {
     P_IW_02
     color_map { M_Teak }
   }

#declare P_WhiteAsh =
   pigment {
     P_IW_05
     color_map { M_WhiteAsh }
   }

#declare P_M_Wood10A =
   pigment {
     P_IW_06
     color_map { M_Wood10A }
   }


#declare P_M_Wood1A =
   pigment {
     P_IW_07
     color_map { M_Wood1A }
   }

#declare P_CM_IW_01 =
   pigment {
     P_IW_08
     color_map { CM_IW_01 }
   }

#declare P_CM_IW_02 =
   pigment {
     P_IW_09
     color_map { CM_IW_02 }
   }

//-----------------------------------------------------------------
//-----------------------------------------------------------------
//-----------------------------------------------------------------

object { IW_Plank_Chamfered (32, 0.6, 0.6, 8, 8, 5, 0.04, 0.005, 0.001, 0.01, P_Orangewood, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 2, 4.0, 0.5> }

object { IW_Plank_Chamfered (60, 0.3, 0.6, 8, 6, 5, 0.04, 0.025, 0.003, 0.004, P_Teak, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 4, 4.0, 0.5> }

object { IW_Cylinder_Chamfered (564, 0.2, 8, 6, 1, 0.03, 0.003, 0.005, P_Orangewood, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 4.5, 4.0, 0.7> }

object { IW_Plank_Round_Cut (56, 0.75, 0.2, 8, 4, 4, 0.02, 0.002, 0.005, P_M_Wood10A, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 2.3, 4.2, 0.25>}

object { IW_Plank_Round_Cut (222, 0.25, 0.4, 8, 4, 4, 0.018, 0.0035, 0.0045, P_M_Wood1A , Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 3.7, 4.2, 0.85>}

object { IW_Plank_Round (18, 0.65, 0.2, 8, 4, 2, 0.02, 0.004, P_WhiteAsh, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 2.5, 4.3, 0.3>}

object { IW_Plank_Chamfered (992, 0.2, 0.2, 8, 4, 4, 0.02, 0.012, 0.003, 0.004, P_CM_IW_02, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 3.3, 3.9, 0.8>}

object { IW_Plank_Round_Cut (99, 0.2, 1.2, 8, 4, 2, 0.018, 0.003, 0.0045, P_CM_IW_01, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 3.3, 3.8, 0.0>}

object { IW_Cylinder_Chamfered (994, 0.1, 8, 6, 0.3, 0.01, 0.0005, 0.003, P_M_Wood10A, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 4.2, 4.25, 1.05> }

object { IW_Cylinder_Chamfered (194, 0.1, 8, 6, 0.8, 0.012, 0.0005, 0.003, P_Teak, Fin_W , Norm_W)
         rotate -90*y rotate 90*z translate < 4.4, 4.35, 1.0> }

