// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
// %                                                               %
// %   IsoWood Include File version 0.3                            %
// %                                                               %
// %   iw_ex_02.pov - Sample File                                  %
// %                                                               %
// %   originally written August 2000 - November 2000              %
// %   for use with IsoWood 0.2 and megapov 0.6                    %
// %   by Christoph Hormann <chris_hormann@gmx.de>                 %
// %   newest version can be found at                              %
// %   http://www.tu-bs.de/~y0013390/iso_wood.html                 %
// %                                                               %
// %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
//
// -w800 -h600 +a0.3
// -w320 -h240 +a0.3

#include "colors.inc"
#include "textures.inc"
#include "isowood3.inc"
#include "iw_textures.inc"

#declare IW_Quality = 2;
#declare IW_ISOmaxgrad = 2;

camera {
  direction z
  sky       z
  up        z
  right     x*1.3333
  location  <6.2, -9.0, 3.0>
  look_at   <1.5, 0.0, -0.2>
  angle 35
}


light_source {
  <6.6, -3.9, 4.3>*10
  color rgb 1.2
}


object {      //===== distorted plank =====
  IW_Plank_Round_CutN  (17, 0.3, 1.6, 8, 2, 0, 0.018, 0.0035, 0.005,
    pigment { P_IW_10 scale 1.6 } , Fin_W_02 , No_Normal, CM_IW_02, 2
    function {
      pigment {
        //color rgb 0

        average
        pigment_map {
          [1 function { f_noise3d(0, 0, z*1.6)*0.3 } color_map{[0 rgb 0][1 rgb x]}]
          [1 function { f_noise3d(0, 0, -z*1.6)*0.3 } color_map{[0 rgb 0][1 rgb y]}]
        }
      }
    },
    0.3
  )

  rotate -90*y
  rotate 90*z
  translate < 3.3, 3.8, 0.9>
}

object {      //===== orange plank =====
  IW_Plank_Round_CutE (6223, 0.3, 1.6, 6, 2, 6.5, 0.018, 0.002, 0.01,
    pigment { P_IW_07 color_map { M_Orangewood } scale 2.2 } , Fin_W_02 , No_Normal, 2 )

  scale 0.8
  rotate -90*y
  rotate 90*z
  translate < 3.3, 1.0, 0.1>
}


object {      //===== horizontal cylinder (right) =====
  IW_Cylinder_Chamfered (74, 0.3, 8, 4, 0.3, 0.03, 0.004, 0.006,
    pigment { P_IW_02 color_map { CM_IW_23 } scale 1.2 } , Fin_W_02 , No_Normal)

  rotate -90*y
  rotate 90*z
  translate < 4.2, 4.8, 0.7>
}







#declare rd=seed(45);

#declare PigArray = array[21]
#declare PigArray[0]  = pigment{ P_IW_01 color_map { CM_IW_01 } }
#declare PigArray[1]  = pigment{ P_IW_01 color_map { CM_IW_02 } }
#declare PigArray[2]  = pigment{ P_IW_01 color_map { CM_IW_03 } }
#declare PigArray[3]  = pigment{ P_IW_01 color_map { CM_IW_04 } }
#declare PigArray[4]  = pigment{ P_IW_01 color_map { CM_IW_05 } }
#declare PigArray[5]  = pigment{ P_IW_01 color_map { CM_IW_06 } }
#declare PigArray[6]  = pigment{ P_IW_01 color_map { CM_IW_07 } }
#declare PigArray[7]  = pigment{ P_IW_01 color_map { CM_IW_08 } }
#declare PigArray[8]  = pigment{ P_IW_01 color_map { CM_IW_09 } }
#declare PigArray[9]  = pigment{ P_IW_01 color_map { CM_IW_10 } }
#declare PigArray[10] = pigment{ P_IW_01 color_map { CM_IW_11 } }
#declare PigArray[11] = pigment{ P_IW_01 color_map { CM_IW_12 } }
#declare PigArray[12] = pigment{ P_IW_01 color_map { CM_IW_13 } }
#declare PigArray[13] = pigment{ P_IW_01 color_map { CM_IW_14 } }
#declare PigArray[14] = pigment{ P_IW_01 color_map { CM_IW_15 } }
#declare PigArray[15] = pigment{ P_IW_01 color_map { CM_IW_16 } }
#declare PigArray[16] = pigment{ P_IW_01 color_map { CM_IW_17 } }
#declare PigArray[17] = pigment{ P_IW_01 color_map { CM_IW_18 } }
#declare PigArray[18] = pigment{ P_IW_01 color_map { CM_IW_19 } }
#declare PigArray[19] = pigment{ P_IW_01 color_map { CM_IW_20 } }
#declare PigArray[20] = pigment{ P_IW_01 color_map { CM_IW_21 } }

#declare Cnt=20;


#while (Cnt>0)    //===== far line of spikes =====
  object {
    IW_Cylinder_Spike4 (Cnt*10, 0.25, 2.5, 2, 0.3, 0.0024, 0.0032, 56, 0.0,
      pigment { PigArray[20-Cnt] translate rand(rd)*100*z }, Fin_W_02 , No_Normal)

    translate < -2.2, Cnt*0.5 - 3, -0.65 - rand(rd)>
  }

  #declare Cnt=Cnt-1;
#end

#declare Cnt=20;


#while (Cnt>0)    //===== near line of spikes =====
  object {
    IW_Cylinder_Spike8 (Cnt*10, 0.25, 2.5, 2, 0.3, 0.0024, 0.0032, 64, 0.0,
      pigment { PigArray[Cnt] translate rand(rd)*100*z }, Fin_W_02 , No_Normal)

    translate < -0.25, Cnt*0.5 - 3, -1.0 - rand(rd)>
  }

  #declare Cnt=Cnt-1;
#end



#declare PigArray[0]  = pigment{ P_IW_05 color_map { CM_IW_Oak_01 } }
#declare PigArray[1]  = pigment{ P_IW_05 color_map { CM_IW_Oak_02 } }
#declare PigArray[2]  = pigment{ P_IW_05 color_map { CM_IW_Oak_03 } }
#declare PigArray[3]  = pigment{ P_IW_05 color_map { CM_IW_Oak_04 } }
#declare PigArray[4]  = pigment{ P_IW_05 color_map { CM_IW_Oak_05 } }
#declare PigArray[5]  = pigment{ P_IW_05 color_map { CM_IW_Oak_06 } }
#declare PigArray[6]  = pigment{ P_IW_05 color_map { CM_IW_Cherry_01 } }
#declare PigArray[7]  = pigment{ P_IW_05 color_map { CM_IW_Cherry_02 } }
#declare PigArray[8]  = pigment{ P_IW_05 color_map { CM_IW_Cherry_03 } }
#declare PigArray[9]  = pigment{ P_IW_05 color_map { CM_IW_Cherry_04 } }
#declare PigArray[10] = pigment{ P_IW_05 color_map { CM_IW_Cherry_05 } }
#declare PigArray[11] = pigment{ P_IW_05 color_map { CM_IW_Robinia_01 } }
#declare PigArray[12] = pigment{ P_IW_05 color_map { CM_IW_Robinia_02 } }
#declare PigArray[13] = pigment{ P_IW_05 color_map { CM_IW_Robinia_03 } }
#declare PigArray[14] = pigment{ P_IW_05 color_map { CM_IW_Robinia_04 } }
#declare PigArray[15] = pigment{ P_IW_05 color_map { CM_IW_Robinia_05 } }
#declare PigArray[16] = pigment{ P_IW_05 color_map { CM_IW_Larch_01 } }
#declare PigArray[17] = pigment{ P_IW_05 color_map { CM_IW_Larch_02 } }
#declare PigArray[18] = pigment{ P_IW_05 color_map { CM_IW_Douglas_01 } }
#declare PigArray[19] = pigment{ P_IW_05 color_map { CM_IW_Douglas_02 } }
#declare PigArray[20] = pigment{ P_IW_05 color_map { CM_IW_Douglas_03 } }


#declare Cnt=20;


#while (Cnt>0)    //===== foreground cylinders =====
  object {
    IW_Cylinder_Chamfered (Cnt*10, 0.25, 2.2, 3, 0.3, 0.03, 0.004, 0.006,
      pigment { PigArray[Cnt] translate rand(rd)*100*z }, Fin_W_02 , No_Normal)

    translate < Cnt*0.5, -4.2, -2>
  }

  #declare Cnt=Cnt-1;
#end


object {          //===== lower parquet =====
  IW_Parquet_A (151, < 0, -4>, <7, 7>, 0.25, 2, 0.5, 3, 3, 0.018, 0.018, 0.0025, 0.0045,
    pigment { P_IW_06 color_map { CM_IW_01 } scale 0.15 },
    Fin_W_02 , No_Normal, texture {}, 1, 2 )
}

object {          //===== upper parquet =====
  IW_Parquet_B (151, < 1, -1.2>, <7, 5>, 0.25, 1, 0.5, 3, 3, 0.018, 0.018, 0.0025, 0.0045,
    pigment { P_IW_07 color_map { CM_IW_02 } },
    Fin_W_02 , No_Normal, texture {}, 1, 2 )
  translate 0.7*z
}
